<!DOCTYPE html>
<html>
<body>

<h1>BAI TAP 01 TIM ANH TREN API</h1>

<form action="/action_page.php">
    <input type="search" id="gsearch" name="gsearch">
    <input type="button" id="btnSubmit" name="Search" value="Search">
</form>
<div style="margin-top: 20px; width: 100%" id="div01">
</div>
<script>
    let btnSubmit = document.getElementById('btnSubmit');
    btnSubmit.addEventListener("click", function() {
        let div01 =  document.getElementById('div01');
        div01.innerHTML = '';
        let keyWord = document.getElementById('gsearch').value;
        let urlAPI = `http://api.giphy.com/v1/gifs/search?q=${keyWord}&api_key=4aOx45IwrOmhyGg87O6W5SlZKuYci1ln`
        fetch(urlAPI)
            .then(res => {
                return res.json();
            })
            .then(res => {
                console.log(res.data[0].images.original.webp)
                res.data.forEach(s => {
                    var img = document.createElement("img");
                    img.src = s.images.original.webp;
                    img.width = 400;
                    img.height = 250;
                    img.style.margin = 10;
                    div01.appendChild(img);
                })
            })
    });
</script>
</body>
</html>